Bug 66108 - CRASH while exporting to PDF using Helvetica font with Latin characters other than Basic Latin Unicode Block
Summary: CRASH while exporting to PDF using Helvetica font with Latin characters other...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0.2 target:4.2.0
Keywords:
: 41547 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-06-24 07:17 UTC by Emir Sarı (away)
Modified: 2013-08-02 13:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Crash report on OSX (68.34 KB, text/plain)
2013-08-02 03:40 UTC, peter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-06-24 07:17:09 UTC
Hello,

Using later master, whenever I try to export a document with Turkish characters to PDF, Libreoffice crashes. Document font is Helvetica, with Times New Roman there is no problem. 

If I embed fonts into PDF, there is no crash. 

Here some Turkish characters for testing: ĞĞĞĞ İİİİİ 

Same situation is also valid for Lithuanian text, for instance with character ĖĖĖĖĖ

Best regards,
Emir
Comment 1 retired 2013-06-24 07:34:33 UTC
Confirmed on OS X 10.8.4 LO 4.1.0.1.

COpy pasted the example chars, set to Helvetica, use LO PDF export option > Crash.

Thanks for the report, Emir.
Comment 2 Emir Sarı (away) 2013-06-24 13:25:53 UTC
@James,
You are welcome. 

After further testing, I've found out that crash is reproducible with all Latin blocks in Unicode except Basic Latin block. 

Other character blocks, such as Cyrillic or Arabic exports fine.
Comment 3 Khaled Hosny (inactive) 2013-06-24 17:36:45 UTC
*** Bug 41547 has been marked as a duplicate of this bug. ***
Comment 4 Commit Notification 2013-06-24 18:59:16 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=306ed04b0ac9a166a0a16f0324384d541c7fc0cb&h=libreoffice-4-1

fdo#66108 crash in PDF when using Helvetica font


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Emir Sarı (away) 2013-06-24 19:01:55 UTC
@Khaled, you're awesome!

Thank you very much!
Comment 6 Khaled Hosny (inactive) 2013-06-28 00:58:16 UTC
The root issue is fixed in master with http://cgit.freedesktop.org/libreoffice/core/commit/?id=feaebe7f93779d5c91c24c31ff91f756c69e9640
Comment 7 peter 2013-08-02 03:39:47 UTC
I downloaded the daily http://dev-builds.libreoffice.org/daily/libreoffice-4-1/MacOSX-10.8@21-10.7SDK/current/lo-4-1_tb~2013-07-31_15.44.29_LibreOfficeDev_4.1.1.0.0_MacOS_x86.dmg and it crashed when I exported my document.

I've attached my crash report above.
Comment 8 peter 2013-08-02 03:40:07 UTC
Created attachment 83497 [details]
Crash report on OSX
Comment 9 Emir Sarı (away) 2013-08-02 06:52:04 UTC
I can reproduce this either with the latest nightly. 

Reopening.
Comment 10 Khaled Hosny (inactive) 2013-08-02 08:51:28 UTC
Are you sure the new crash is the same bug i.e. not reproducible with documents that does not meet the criteria of the original report? If not, please open a new bug.
Comment 11 Emir Sarı (away) 2013-08-02 09:38:07 UTC
It seems like the same conditions, I just try to export a document which contains one of the characters above at the first comment, then it crashes using Helvetica font.
Comment 12 peter 2013-08-02 09:48:02 UTC
(In reply to comment #10)
> Are you sure the new crash is the same bug i.e. not reproducible with
> documents that does not meet the criteria of the original report? If not,
> please open a new bug.

Now that you mention it no. It seems to happen whatever font I use. I've opened a new bug: https://bugs.freedesktop.org/show_bug.cgi?id=67660